<?php
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

     $conexion=conecta_default();
  $ok=0;
         $continuar=1;
         $idcdin = $sesion->id; 
   $nombrec=$_POST['nombreinv'];
   $idv=$_POST['voucher'];
   $restov=$_POST['descontar'];  
   $id_inv=$_POST['idinv'];  

echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
   /*$qa = "SELECT clave_cd FROM distribuidor WHERE id_dist = '".$id_dist."'";

   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $clave_cd = $ra[0];
	};
*/
   $qCuenta = "SELECT COUNT(idprod) FROM productos join stock on productos.id_prod=stock.idprod where idcd=$idcdin";
	  $cCuenta = mysql_query($qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
	  while($rCuenta = mysql_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]; // Cantidad de Productos para el contador.
	   };
	  $qd = "SELECT id_prod, nombreProd, precio, puntos, cantidad FROM productos join stock on productos.id_prod=stock.idprod where idcd=$idcdin order by nombreProd asc";

	  $cd = mysql_query($qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
	 
           
	   echo "<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4v.php\" method=\"post\">";
			
			echo"<center>                  <b>Forma de pago:</b> Voucher $idv Bueno por $restov
			<br><br><b>Aplicar a:</b>".$nombrec."
			<br><br>";
			


            
            if($continuar!=0){
            
            echo"<TABLE Border=1 CellPadding=5>
			<TR>";   
            
                   
				echo "
				<th><font color=\"#FFFFFF\">Id. Producto</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
				<th><font color=\"#FFFFFF\">Puntos</th></font>
				<th><font color=\"#FFFFFF\">Existencias</th></font>
				<th><font color=\"#FFFFFF\">Cantidad</th></font>
			</TR>";
			
			$i = 0;
			while($renglon = mysql_fetch_row($cd))
			{
				echo"<tr bgcolor=\"#e8d78d\">";
				echo "<td>".$renglon[0]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[0]>";
				echo "<td>".$renglon[1]."</td>";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";
				echo "<td>"."$".$renglon[2]."</td>";
				echo "<input type=hidden name=copia_precio$i value=$renglon[2]>";
				echo "<td align=\"center\">".$renglon[3]."</td>";
				echo "<input type=hidden name=copia_puntos$i value=$renglon[3]>";
				echo "<td align=\"center\">".$renglon[4]."</td>";
				echo "<input type=hidden name=existencias$i value=$renglon[4]>";
				echo "<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>";
								$i++;
				echo"</tr>";
			
			};
					
			echo "</table>"; 
			//echo $copia_id_dist;
			echo "<br>
			
			<br><input type='hidden' name='idinv' value='$id_inv'>
		<input type='hidden' name='idcent' value='$centro'>
		<input type='hidden' name='idcentro' value='$icentro'>
        <input type=hidden name=copia_cuenta value=$cuenta>  
						<input type='hidden' name='nombreinv' value='$nombrec'>
						          <input type='hidden' name='voucher' value='$idv'>  
                                  <input type='hidden' name='descontar' value='$restov'>       
						<input type=hidden name=copia_clave_cd value=$clave_cd>
			             <input type=hidden name=comprasok value=$compras>
			<input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\">
  		    </form>";      }
    
?>

